import { Direction, system, world, Location } from '@minecraft/server';
world.events.beforeItemUseOn.subscribe(e => {
    let p = e.source, type = '', tick = 0;
    if (e.item.typeId === 'minecraft:potion') type = 'potion';
    if (e.item.typeId === 'minecraft:glass_bottle') type = 'glass_bottle';
    if (type === '' || e.blockFace !== Direction.up || p.placed) return;
    p.placed = true;
    let l = new Location(e.blockLocation.x + e.faceLocationX, e.blockLocation.y + 1, e.blockLocation.z + e.faceLocationY);
    p.runCommandAsync('replaceitem entity @s slot.weapon.mainhand 0 air');
    p.runCommandAsync(`summon 3d:${type} ${l.x} ${l.y} ${l.z} ${(type === 'potion' ? `potion:variant_${e.item.data}` : ``)}`);
    system.run(function delayTimer() {
        if (++tick < 10) system.run(delayTimer);
        else p.placed = false;
    });
});